## xfig 3.2.0

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.65 91/07/25 17:50:17 rws Exp $
#
# The cpp used on this machine replaces all newlines and multiple tabs and
# spaces in a macro expansion with a single space.  Imake tries to compensate
# for this, but is not always successful.
#

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.139 91/09/16 08:52:48 rws Exp $
#
# Platform-specific parameters may be set in the appropriate <vendor>.cf
# configuration files.  Site-specific parameters should be set in the file
# site.def.  Full rebuilds are recommended if any parameters are changed.
#
# If your C preprocessor does not define any unique symbols, you will need
# to set BOOTSTRAPCFLAGS when rebuilding imake (usually when doing
# "make World" the first time).
#

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def,v 1.2 91/07/30 20:26:44 rws Exp $

# -------------------------------------------------------------------------
# platform-specific configuration parameters - edit sun.cf to change

# platform:  $XConsortium: sun.cf,v 1.72.1.1 92/03/18 13:13:37 rws Exp $

# operating system:  SunOS 4.1.2

# $XConsortium: sunLib.rules,v 1.7 91/12/20 11:19:47 rws Exp $

.c.o:
	$(CC) -c $(CFLAGS) $*.c

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def,v 1.2 91/07/30 20:26:44 rws Exp $

            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc -fstrength-reduce -fpcc-struct-return
               AS = as

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -fstrength-reduce -fpcc-struct-return -E $(STD_CPP_DEFINES)
          INSTALL = install
               LD = ld
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn
     STD_INCLUDES =
  STD_CPP_DEFINES =
      STD_DEFINES =
 EXTRA_LOAD_FLAGS = -B/usr/bin/
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF = -DSHAREDCODE
         SHLIBDEF = -DSUNSHLIB

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -g kmem -m 2755

      CDEBUGFLAGS = -O
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)

           LDLIBS = $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS) $(LOCAL_LDFLAGS)

   LDCOMBINEFLAGS = -X -r
      DEPENDFLAGS =

        MACROFILE = sun.cf
           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Imake.rules \
			$(IRULESRC)/Project.tmpl $(IRULESRC)/site.def \
			$(IRULESRC)/$(MACROFILE) $(EXTRA_ICONFIGFILES)

# -------------------------------------------------------------------------
# X Window System Build Parameters
# $XConsortium: Project.tmpl,v 1.138 91/09/10 09:02:12 rws Exp $

# -------------------------------------------------------------------------
# X Window System make variables; this need to be coordinated with rules

          PATHSEP = /
        USRLIBDIR = /usr/lib
           BINDIR = /usr/bin/X11
          INCROOT = /usr/include
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
        CONFIGDIR = $(LIBDIR)/config
       LINTLIBDIR = $(USRLIBDIR)/lint

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
          MANPATH = /usr/man
    MANSOURCEPATH = $(MANPATH)/man
        MANSUFFIX = l
     LIBMANSUFFIX = 3
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSUFFIX)
           NLSDIR = $(LIBDIR)/nls
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

            IMAKE = imake
           DEPEND = makedepend
              RGB = rgb

            FONTC = bdftopcf

        MKFONTDIR = mkfontdir
        MKDIRHIER = /bin/sh $(BINDIR)/mkdirhier

        CONFIGSRC = $(TOP)/config
       DOCUTILSRC = $(TOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/server
          UTILSRC = $(TOP)/util
        SCRIPTSRC = $(UTILSRC)/scripts
       EXAMPLESRC = $(TOP)/examples
       CONTRIBSRC = $(TOP)/../contrib
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/rgb
        DEPENDSRC = $(UTILSRC)/makedepend
         IMAKESRC = $(CONFIGSRC)
         XAUTHSRC = $(LIBSRC)/Xau
          XLIBSRC = $(LIBSRC)/X
           XMUSRC = $(LIBSRC)/Xmu
       TOOLKITSRC = $(LIBSRC)/Xt
       AWIDGETSRC = $(LIBSRC)/Xaw
       OLDXLIBSRC = $(LIBSRC)/oldX
      XDMCPLIBSRC = $(LIBSRC)/Xdmcp
      BDFTOSNFSRC = $(FONTSRC)/bdftosnf
      BDFTOSNFSRC = $(FONTSRC)/clients/bdftosnf
      BDFTOPCFSRC = $(FONTSRC)/clients/bdftopcf
     MKFONTDIRSRC = $(FONTSRC)/clients/mkfontdir
         FSLIBSRC = $(FONTSRC)/lib/fs
    FONTSERVERSRC = $(FONTSRC)/server
     EXTENSIONSRC = $(TOP)/extensions
         XILIBSRC = $(EXTENSIONSRC)/lib/xinput
      PHIGSLIBSRC = $(EXTENSIONSRC)/lib/PEX

# $XConsortium: sunLib.tmpl,v 1.14.1.1 92/03/17 14:58:46 rws Exp $

SHLIBLDFLAGS = -assert pure-text
PICFLAGS = -pic

  DEPEXTENSIONLIB =
     EXTENSIONLIB = -lXext

          DEPXLIB = $(DEPEXTENSIONLIB)
             XLIB = $(EXTENSIONLIB) -lX11

        DEPXMULIB = $(USRLIBDIR)/libXmu.sa.$(SOXMUREV)
       XMULIBONLY = -lXmu
           XMULIB = -lXmu

       DEPOLDXLIB =
          OLDXLIB = -loldX

      DEPXTOOLLIB = $(USRLIBDIR)/libXt.sa.$(SOXTREV)
         XTOOLLIB = -lXt

        DEPXAWLIB = $(USRLIBDIR)/libXaw.sa.$(SOXAWREV)
           XAWLIB = -lXaw

        DEPXILIB =
           XILIB = -lXi

        SOXLIBREV = 4.10
          SOXTREV = 4.10
         SOXAWREV = 5.0
        SOOLDXREV = 4.10
         SOXMUREV = 4.10
        SOXEXTREV = 4.10
      SOXINPUTREV = 4.10

      DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
         XAUTHLIB =  -lXau
      DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
         XDMCPLIB =  -lXdmcp

        DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
           PHIGSLIB =  -lphigs

       DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
          XBSDLIB =  -lXbsd

 LINTEXTENSIONLIB = $(LINTLIBDIR)/llib-lXext.ln
         LINTXLIB = $(LINTLIBDIR)/llib-lX11.ln
          LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln
        LINTXTOOL = $(LINTLIBDIR)/llib-lXt.ln
          LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln
           LINTXI = $(LINTLIBDIR)/llib-lXi.ln
        LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

# -------------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.123 91/09/16 20:12:16 rws Exp $

# -------------------------------------------------------------------------
# start of Imakefile

#  NOTE: AS of X11R6 the official comment for Imakefile is the word #

# Copyright (c) 1985 by Supoj Sutanthavibul
# Copyright (c) 1994 by Brian V. Smith
# Parts Copyright (c) 1991 by Paul King

# The X Consortium, and any party obtaining a copy of these files from
# the X Consortium, directly or indirectly, is granted, free of charge, a
# full and unrestricted irrevocable, world-wide, paid up, royalty-free,
# nonexclusive right and license to deal in this software and
# documentation files (the "Software"), including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons who receive
# and/or sell copies of the Software subject to the restriction stated
# below, and to permit persons who receive copies from any such party to
# do so, with the only requirement being that this copyright notice remain
# intact.
# This license includes without limitation a license to do the foregoing
# actions under any patents of the party supplying this software to the
# X Consortium.
#
# Restriction: The GIF encoding routine "GIFencode" in f_wrgif.c may NOT
# be included if xfig is to be sold, due to the patent held by Unisys Corp.
# on the LZW compression algorithm.
# If you wish to sell xfig, you must comment out the USEGIF symbol below
# by putting the word "XCOMM" in front of it.  Be sure to make a new
# Makefile after that ("make Makefile").

# If you don't have the JPEG library or don't want to use JPEG, comment
# out the following line

# Uncomment the following definition for XAWLIB if you want to use
# the 3d Athena Widget Set (highly recommended!)

XAWLIB = -lXaw3d

# Uncomment the following if needed for DECstations running older X11R4
# INCROOT=/usr/include/mit

# Uncomment the #define for USEXPM if you have the XPM (color pixmap)
# package and you would like to use the following:
# USEXPM will allow import/export of XPM files
# USEXPM_ICON uses a color xpm icon for xfig itself (USEXPM must be
#	defined if you use USEXPM_ICON)
# You need XPM version 3.4c or newer.  This is available from ftp.x.org
#   in /contrib/libraries.
# Change XPMLIB if necessary to point to the xpm library (libXpm)
# Change XPMINC if necessary to point to the include file for xpm (xpm.h)

XPMLIBDIR = /usr/lib
XPMINC = -I/usr/include/X11
XPMLIB = -L$(XPMLIBDIR) -lXpm

# If you have installed the jpeg library on your system, uncomment the
# USEINSTALLEDJPEG variable, change the JPEGLIBDIR variable to the directory
# where your jpeg library resides and change the JPEGINC to the
# directory where your jpeg header files (include) reside.
# You must have version 5b or newer of the jpeg library.
# If you haven't installed the jpeg library leave the XCOMM comment in and
# set JPEGLIBDIR after the #else to the directory where you have the source
# for jpeg.

JPEGLIBDIR = /usr/local/lib
JPEGINC = -I/usr/include/X11
JPEGLIB = -L$(JPEGLIBDIR) -ljpeg

# If using an input tablet uncomment the following

# TABLIB = $(XILIB)
# USETAB = -DUSE_TAB

# uncomment the following line if your compiler doesn't support
# inline functions. With the "INLINE" keyword, you should notice that
# the display will be a bit faster in complex figures

# USEINLINE = -DNO_INLINE

# use (and change) the following if you want the multi-key data base file
# somewhere other than the standard X11 library directory
# XFIGLIBDIR =		/usr/local/lib/X11/xfig

# use this if you want the multi-key data base file in the standard X11 tree
XFIGLIBDIR =		$(LIBDIR)/xfig

## xfig 3.2.2

=== Makefile ===
--- 
+++ 
@@ -269,26 +269,19 @@
 # -------------------------------------------------------------------------
 # start of Imakefile
 
-#  NOTE: AS of X11R6 the official comment for Imakefile is the word #
-
-# Copyright (c) 1985 by Supoj Sutanthavibul
-# Copyright (c) 1994 by Brian V. Smith
+# FIG : Facility for Interactive Generation of figures
+# Copyright (c) 1985-1988 by Supoj Sutanthavibul
+# Parts Copyright (c) 1989-1998 by Brian V. Smith
 # Parts Copyright (c) 1991 by Paul King
-
-# The X Consortium, and any party obtaining a copy of these files from
-# the X Consortium, directly or indirectly, is granted, free of charge, a
+#
+# Any party obtaining a copy of these files is granted, free of charge, a
 # full and unrestricted irrevocable, world-wide, paid up, royalty-free,
 # nonexclusive right and license to deal in this software and
 # documentation files (the "Software"), including without limitation the
 # rights to use, copy, modify, merge, publish, distribute, sublicense,
 # and/or sell copies of the Software, and to permit persons who receive
-# and/or sell copies of the Software subject to the restriction stated
-# below, and to permit persons who receive copies from any such party to
-# do so, with the only requirement being that this copyright notice remain
-# intact.
-# This license includes without limitation a license to do the foregoing
-# actions under any patents of the party supplying this software to the
-# X Consortium.
+# copies from any such party to do so, with the only requirement being
+# that this copyright notice remain intact.
 #
 # Restriction: The GIF encoding routine "GIFencode" in f_wrgif.c may NOT
 # be included if xfig is to be sold, due to the patent held by Unisys Corp.
@@ -297,59 +290,72 @@
 # by putting the word "XCOMM" in front of it.  Be sure to make a new
 # Makefile after that ("make Makefile").
 
-# If you don't have the JPEG library or don't want to use JPEG, comment
-# out the following line
+# If don't want to use JPEG, comment out the following line
+
+# If you don't have the jpeg library in your system library area, comment
+# out the USEINSTALLEDJPEG variable (using #), change the JPEGLIBDIR
+# variable to the directory where your jpeg library resides and change
+# the JPEGINCDIR to the directory where your jpeg header files (include)
+# reside.
+# You must have version 5b or newer of the jpeg library.
+
+JPEGLIBDIR = /usr/local/lib
+
+# Uncomment the following definiton if you want to use the small icons
+# for the panel buttons.  Use this if you have a 800x600 or smaller screen.
+
+# #define USESMALLICONS
 
 # Uncomment the following definition for XAWLIB if you want to use
 # the 3d Athena Widget Set (highly recommended!)
 
-XAWLIB = -lXaw3d
+# XAWLIB = -lXaw3d
 
 # Uncomment the following if needed for DECstations running older X11R4
 # INCROOT=/usr/include/mit
 
-# Uncomment the #define for USEXPM if you have the XPM (color pixmap)
-# package and you would like to use the following:
-# USEXPM will allow import/export of XPM files
+# Uncomment the #define for USEXPM if you want to use the XPM
+# (color pixmap) package.
+#
+# USEXPM will allow import/export of XPM files.
 # USEXPM_ICON uses a color xpm icon for xfig itself (USEXPM must be
 #	defined if you use USEXPM_ICON)
 # You need XPM version 3.4c or newer.  This is available from ftp.x.org
 #   in /contrib/libraries.
-# Change XPMLIB if necessary to point to the xpm library (libXpm)
+# Change XPMLIBS if necessary to point to the xpm library (libXpm)
 # Change XPMINC if necessary to point to the include file for xpm (xpm.h)
 
-XPMLIBDIR = /usr/lib
-XPMINC = -I/usr/include/X11
-XPMLIB = -L$(XPMLIBDIR) -lXpm
-
-# If you have installed the jpeg library on your system, uncomment the
-# USEINSTALLEDJPEG variable, change the JPEGLIBDIR variable to the directory
-# where your jpeg library resides and change the JPEGINC to the
-# directory where your jpeg header files (include) reside.
-# You must have version 5b or newer of the jpeg library.
-# If you haven't installed the jpeg library leave the XCOMM comment in and
-# set JPEGLIBDIR after the #else to the directory where you have the source
-# for jpeg.
-
-JPEGLIBDIR = /usr/local/lib
-JPEGINC = -I/usr/include/X11
-JPEGLIB = -L$(JPEGLIBDIR) -ljpeg
+# #define USEXPM
+# #define USEXPM_ICON
+
+# Uncomment the next line if you have a Sun Sparc and you would like the
+# Compose LED (light) turned on when you are entering multi-key characters
+# (like a-umlaut, c-cedilla, etc).  You may have to change the value from 2
+# to 1, 3, or 4 depending on your workstation model and X libraries.
+
+# COMP_LED = -DCOMP_LED=2
+
+# Uncomment the next line if you want use Japanese (i18n) on xfig.
+# If your setlocale() dosen't support the locale, you should
+# add -DSETLOCALE to I18N_DEFS.
+
+# #define I18N
 
 # If using an input tablet uncomment the following
 
 # TABLIB = $(XILIB)
 # USETAB = -DUSE_TAB
 
-# uncomment the following line if your compiler doesn't support
+# uncomment the following line if your compiler supports
 # inline functions. With the "INLINE" keyword, you should notice that
 # the display will be a bit faster in complex figures
 
-# USEINLINE = -DNO_INLINE
+# USEINLINE = -DUSE_INLINE
 
 # use (and change) the following if you want the multi-key data base file
 # somewhere other than the standard X11 library directory
-# XFIGLIBDIR =		/usr/local/lib/X11/xfig
+# XFIGLIBDIR = /usr/local/lib/X11/xfig
 
 # use this if you want the multi-key data base file in the standard X11 tree
-XFIGLIBDIR =		$(LIBDIR)/xfig
-
+XFIGLIBDIR = $(LIBDIR)/xfig
+

## xfig 3.2.5.b

=== debian/changelog ===
xfig (1:3.2.5.b-3ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add .desktop file, install in debian/rules and modify it to validate
      with desktop-file-validate (Debian bug: #494790).
    - Added usr/share/applications in debian/dirs.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 05 Mar 2013 17:03:56 -0500

xfig (1:3.2.5.b-3) unstable; urgency=low

  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Thanks to Jari Aalto for providing a patch for the previous lines
    (Closes: #668557).
  * debian/rules: Change build options to harden binaries.
  * 38_formatstring: fix format string error with hardening.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 07 Jun 2012 23:02:21 +0200

xfig (1:3.2.5.b-2ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add .desktop file, install in debian/rules and modify it to validate
      with desktop-file-validate (Debian bug: #494790)
    - Added usr/share/applications in debian/dirs
  * Drop "xfig-doc: alternatively depend on abrowser", abrowser is now a
    transitional package for firefox.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 21 Nov 2011 18:31:10 +0100

xfig (1:3.2.5.b-2) unstable; urgency=low

  * 35_CVE-2010-4262: add documentation to the patch.
  * Build-depend on libjpeg-dev instead of libjpeg62-dev (Closes: #647107).
  * Add ${misc:Depends} to all packages.
  * Add debian/source/format (1.0).
  * Add build-arch/build-indep to debian/rules.
  * Upgrade to Standards-Version 3.9.2 (no changes).
  * Use Breaks instead of Conflicts in debian/control.
  * 36_libpng15: Some changes to cooperate with libpng 1.5. Thanks to
    Nobuhiro Iwamatsu <iwamatsu@nigauri.org> for providing the patch
    (Closes: #635707)
  * 36_libpng15: Add switch to support both libpng12 and libpng15.
  * Build-Depend on libpng-dev instead of libpng12-dev.
  * 37_fix-eps-reading by Hans de Goede <hdegoede@redhat.com>:
    Fix importing of eps files (Closes: #612180, #614616).
  * Update debian/watch (Closes: #449653).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 05 Nov 2011 22:57:46 +0100

xfig (1:3.2.5.b-1.1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - xfig-doc: alternatively depend on abrowser
    - Add .desktop file, install in debian/rules and modify it to validate
      with desktop-file-validate (Debian bug: #494790)
    - Added usr/share/applications in debian/dirs

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 31 Dec 2010 11:07:03 +0530

xfig (1:3.2.5.b-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2010-4262: Stack-based buffer overflow by processing certain FIG
    images (Closes: #606257)

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 29 Dec 2010 16:50:04 +0100

xfig (1:3.2.5.b-1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes: LP: #513126
    - xfig-doc: alternatively depend on abrowser
    - Add .desktop file, install in debian/rules and modify it to validate 
      with desktop-file-validate (Debian bug: #494790)
    - Added usr/share/applications in debian/dirs

 -- Bhavani Shankar <right2bhavi@gmail.com>  Wed, 27 Jan 2010 12:26:49 +0530

xfig (1:3.2.5.b-1) unstable; urgency=low

  * New upstream version 3.2.5b.
  * Remove patches that are incorporated upstream: 25_mkstemp,
    26_missingprotos, 27_zoom-crash, 28_text-size-input, 29_print_segfault.
  * 30_figparserstack: Fix Stack-based buffer overflow by loading
    malformed .FIG files
    (https://bugzilla.redhat.com/show_bug.cgi?id=543905) (Closes: #559274).
  * Upgrade to Standards-Version 3.8.3 (no changes).
  * Added debian/README.source (from dpatch package) to explain how dpatch
    works.
  * Remove path from update-xaw-wrappers script in preinst.
  * 31_spelling: Fix spelling errors in binary.
  * 13_remove_extra_libs: s/XTOOLONLYLIIB/XTOOLONLYLIB/, so Xt is linked
    into the binary to make binutils-gold happy (Closes: #556705).
  * 32_papersize_b1: xfig -papersize b1 now really uses B1 instead of B10
    (Closes: #535181).
  * 33_pdfimport_mediabox: Fix reading "/MediaBox" when importing PDF.
    Thanks t jsoula@univ-lille2.fr for providing a patch (Closes: #530898).
  * 34_old_shadows: Restore old shadow behavior. Reduce shadow width to 1
    pixel and fix a green scrollbar shadow.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 06 Dec 2009 12:56:18 +0100

xfig (1:3.2.5.a-2ubuntu1) karmic; urgency=low

  [ Nick Ellery ]
  * Merge from debian unstable, remaining changes (LP: #369655):
    - xfig-doc: alternatively depend on abrowser
    - Add .desktop file, install in debian/rules (Debian bug: #494790)
    - Added usr/share/applications in debian/dirs
  [ Nathan Handler ]
  * Modify .desktop file to validate with desktop-file-validate

 -- Nick Ellery <nick.ellery@ubuntu.com>  Wed, 29 Apr 2009 21:52:11 -0700

xfig (1:3.2.5.a-2) unstable; urgency=low

  * 29_print_segfault: Avoid segmentation fault on print panel.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 18 Apr 2009 10:49:24 +0200

xfig (1:3.2.5.a-1) unstable; urgency=medium

  * New upstream version 3.2.5a (as of 2009-03-17).
  * The following patches are incorporated upstream, so they were
    removed here: 01_fix_warnings, 06_manual_version, 07_maps_europe,
    08_maps_spain, 09_andre_images.dpatch, 10_manpage_hyphen,
    11_shadow_app_defaults, 14_manpage_fixsyntax, 15_lp_or_lpr,
    16_man_rigidtext, 19_xaw3d1_5e_fix, 20_nodebugout,
    21_Imake_jhtml_fix, 22_kfreebsd, 23_modepanel_width, 
    24_lp_printer_fixup.
  * Updated the other patches to the new version.
  * Updated debian/copyright.
  * Several patches from Hans de Goede, the Fedora maintainer (many thanks
    for this):
    - 25_mkstemp: Temp file vulnerability Security fix!


=== debian/control ===
Source: xfig
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
Standards-Version: 3.9.3
Build-Depends: dpkg (>= 1.7.2), debhelper (>= 9), libxt-dev,
 libxpm-dev, libx11-dev, libxi-dev, xutils-dev, xaw3dg-dev (>= 1.5+E-2),
 libjpeg-dev, libpng-dev
Homepage: http://www-epb.lbl.gov/xfig/

Package: xfig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: transfig (>= 1:3.2.5-alpha4-1), xfig-libs
Suggests: gimp, xfig-doc (>= 1:3.2.5-alpha4-1), ghostscript,
 gsfonts-x11 (>= 0.7), netpbm, spell, cups-client | lpr
Breaks: xfig-doc (<< 1:3.2.5-alpha4-1), transfig (<< 1:3.2.5-alpha4-1)
Description: Facility for Interactive Generation of figures under X11
 XFig is a menu-driven tool that allows the user to draw and manipulate objects
 interactively in an X window.  The resulting pictures can be saved, printed
 on postscript printers, or converted to a variety of other formats (e.g. to
 allow inclusion in LaTeX documents or web pages) using the transfig program.
 .
 This package contains the xfig program itself.
 .
 You should think about installing the transfig package to export the graphics
 to several common formats.  You should also think about installing xfig-doc,
 which contains the documentation and xfig-libs, which contains several clip
 art libraries.

Package: xfig-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: xfig, firefox|www-browser, xpdf-reader|pdf-viewer
Description: XFig on-line documentation and examples
 XFig is a menu-driven tool that allows the user to draw and manipulate objects
 interactively in an X window.  The resulting pictures can be saved, printed
 on postscript printers, or converted to a variety of other formats (e.g.  to
 allow inclusion in LaTeX documents or web pages) using the transfig program.
 .
 This package contains on-line documentation in HTML and PDF formats as well as
 the graphics examples distributed with XFig.

Package: xfig-libs
Architecture: all
Depends: ${misc:Depends}
Suggests: xfig (>= 1:3.2.5-alpha4-1)
Breaks: xfig (<< 1:3.2.5-alpha4-1)
Description: XFig image libraries and examples
 XFig is a menu-driven tool that allows the user to draw and manipulate objects
 interactively in an X window.  The resulting pictures can be saved, printed
 on postscript printers, or converted to a variety of other formats (e.g.  to
 allow inclusion in LaTeX documents or web pages) using the transfig program.
 .
 This package contains several clip art libraries including arrows, flowcharts,
 charts, labels, knitting, GUI, chemical process flowsheets, logic, digital 
 signal processing, Entity Relationship diagrams, UML, electronic, electrical,
 hospital equipment, structural analysis, optics, audiovisual objects, 
 computers, networks, mechanical (DIN), music, welding, office equipment,
 furniture, buildings, flags, maps and several examples.

=== debian/rules ===
#!/usr/bin/make -f
#
# (C) 1999-2012 Roland Rosenfeld <roland@debian.org>, based on
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

INSTDIR=`pwd`/debian/xfig
DOCINSTDIR=`pwd`/debian/xfig-doc
LIBINSTDIR=`pwd`/debian/xfig-libs

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	xmkmf -a
	$(MAKE) CDEBUGFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
                EXTRA_LDOPTIONS="$(shell dpkg-buildflags --get LDFLAGS)" \
                PROJECT_DEFINES="$(shell dpkg-buildflags --get CPPFLAGS)" \
		LIBDIR=/usr/share

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile* xfig.man

	dh_clean

install:
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install.html DESTDIR=$(DOCINSTDIR)
#	Remove superflous files from documentation:
	rm -f $(DOCINSTDIR)/usr/share/doc/xfig/html/images/sav1a0.tmp

	(cd $(DOCINSTDIR)/usr/share/doc/xfig/html; \
		ln -sf japanese ja_JP.ujis)

#	install -m755 debian/xfig-www-browser $(DOCINSTDIR)/usr/bin/
	install -m755 debian/xfig-pdf-viewer $(DOCINSTDIR)/usr/bin/

	$(MAKE) install DESTDIR=$(INSTDIR) \
		LIBDIR=/usr/share BINDIR=/usr/bin \
		XAPPLOADDIR=/etc/X11/app-defaults

	$(MAKE) install.libs DESTDIR=$(LIBINSTDIR) LIBDIR=/usr/share

#	remove the just installed ERD/GUI license files, because they are
#	already in debian/copyright included:	
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/ERD/LICENSE
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/GUI/LICENSE

#	remove csh scripts
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/Maps/USA/assemble
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/Maps/Canada/assemble
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/Flags/MAKEPNG

#	fix typo in directory name
	mv $(LIBINSTDIR)/usr/share/xfig/Libraries/Flags/Carribean \
		$(LIBINSTDIR)/usr/share/xfig/Libraries/Flags/Caribbean

#	unzip gzipped fig files:
#	find $(LIBINSTDIR)/usr/share/xfig/Libraries/ -name \*.fig.gz \
#		| xargs gzip -d

#	Fix permissions of Libraries:
	find $(LIBINSTDIR)/usr/share/xfig/Libraries -type f \
		| xargs chmod -x

#	install japanese app-defaults:
	install -m644 Fig.ad \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig.international: true' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig*international: false' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig.japanese: true' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig.inputStyle: OffTheSpot' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig

	install -m644 Fig.ad \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig.international: true' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig*international: false' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig.korean: true' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig.inputStyle: OverTheSpot' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig

#	Install xpm icons and backward compatibility links
	for i in xfig16x16.xpm xfig32x32.xpm xfig64x64.xpm \
		xfig16x16cmap.xpm  xfig32x32cmap.xpm xfig66x62cmap.xpm; do \
	    install -m644 debian/$$i \
		$(INSTDIR)/usr/share/pixmaps/$$i; \
	done
	(cd $(INSTDIR)/usr/share/pixmaps; \
	 ln -s xfig64x64.xpm big-xfig.xpm; \
	 ln -s xfig32x32.xpm xfig.xpm; \
	 ln -s xfig16x16.xpm mini-xfig.xpm)
	install -m644 debian/xfig.desktop $(INSTDIR)/usr/share/applications

#	dh_install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i -k CHANGES
	dh_installdocs -i
	dh_installexamples -i
#	dh_installmenu -i
#	dh_installdebconf -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_link -i
	dh_compress -i -X.pdf
	dh_fixperms -i
#	dh_perl -i
#	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a -k CHANGES
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installdebconf -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
	dh_installmime -a
#	dh_installinit -a
#	dh_installcron -a
#	dh_installinfo -a
#	dh_undocumented -a
	dh_installman -a
	dh_strip -a
	dh_link -a
	dh_compress -a -X.pdf
	dh_fixperms -a
#	dh_perl -a
#	dh_python -a
#	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts="dversionmangle=s/-rel$//,uversionmangle=s/([a-z])$/.$1/" http://www.xfig.org/art17.html .*/xfig.(.*).full.tar.gz

## xfig 3.2.5.c

=== debian/changelog ===
xfig (1:3.2.5.c-7) unstable; urgency=medium

  * 57_magnificationlocale: use C LOCALE for fig2dev -m parameter
    (Closes: #782737).
  * 58_xspline_origbehavior: Undo the following 3.2.5c upstream change:
    "o Changed X-Spline parameter to match original intent of X-Spline authors:
      changed definition of Q(s) from -s to -0.5 * s in u_draw_spline.c"
    since this breaks the look of old FIG files and differs from tranfig 3.2.5e
    behavior (Closes: #806525).
  * Remove menu file, since this is replaced by desktop file now.
  * Install hicolor PNG icons for 16x16, 22x22, 32,32, 48x48, and 64x64.
  * Build depend on imagemagick to generate the different icon sizes.
  * Remove debian/TODO, since all mentioned is done now.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 28 Nov 2015 15:12:55 +0100

xfig (1:3.2.5.c-6) unstable; urgency=medium

  * Suggests xpdf (instead of xpdf-reader) now.
  * Run wrap-and-sort.
  * Move /usr/bin/xfig.real to /usr/lib/xfig/xfig, to make options and
    App-default work again (Closes: #798327).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 19 Sep 2015 09:30:41 +0200

xfig (1:3.2.5.c-5) unstable; urgency=medium

  * 48_intersect_missing_argument: add missing argument to some intersect
    function calls. Thanks to Michael Tautschnig (Closes: #795642).
  * 49_filled_objects: Fix default origin (100000,100000) -> (0,0) for
    filled objects. New intel video driver shows filled objects wrongly if
    origin is large.  Thanks to Vladislav Zavjalov from Altlinux.
  * 50_fset_init: w_drawprim.c: fix xfontlist->fset initialization.  Thanks
    to Vladislav Zavjalov from Altlinux.
  * 51_depth_undo_join_split: fix depth handling in undo_join_split().
    Thanks to Vladislav Zavjalov from Altlinux.
  * 52_usercolor_newxfig: restore user colors in new_xfig_request().
    Thanks to Vladislav Zavjalov from Altlinux.
  * 53_filename_undo: Use F_LOAD action for new command, don't restore
    filenames in F_ADD/F_DELETE actions.  Thanks to Vladislav Zavjalov from
    Altlinux.
  * 54_depth_undo_load: swap depths in undo_load().  Thanks to Vladislav
    Zavjalov from Altlinux.
  * 55_indpanel_warnings: fix some warnings in w_indpanel.c.  Thanks to
    Vladislav Zavjalov from Altlinux.
  * Install a wrapper around xfig, that tries to switch to a non-UTF-8
    charset, since xfig doesn't support UTF-8. README.Debian gives some
    more information about this (Closes: #395328, #656560).
  * 56_nofont-symbol-dingbat: w_drawprim.c: don't use fontsets for symbols
    and dingbats fonts. Thanks to Vladislav Zavjalov from Altlinux.
  * Remove debian/preinst, since the xaw-wrappers uninstall code was from
    potato and is no longer needed.
  * Change CreationDate to changelog date in xfig_man.html to make package
    reproducible.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 20 Aug 2015 10:59:07 +0200

xfig (1:3.2.5.c-4) unstable; urgency=low

  * 43_startgridmode_man: Adapt man page accordinig to -startgridmode to
    xfig behavior (Closes: #314820).
  * Add %f to Exec in xfig.desktiop (42_xfig.desktop).
  * 44_crash-on-exit: Fix crash on exit (regression of xfig.3.2.5c).
    Thanks to Peter Volkov from Gentoo.
  * Change spellcheckcommand from spell to enchant (04_app-defaults).
    Thanks to Caolan McNamara from Fedora.
  * 45_fix_dash_list_for_different_styles: Fix crash when creating lines
    with linestyle 3.  Thanks to Michal Srb, Maurizio Paolini and David
    Kaufmann from Fedora (Closes: #755492, #774373).
    This should also fix Ubuntu bug #1317825.
  * 46_arrowhead-thickness: Fix crash when changing arrow size on x86_64.
    Thanks to Hans de Goede from Fedora (Closes: #774673).
  * Update to Standards-Version 3.9.6 (no changes).
  * 47_100pCPU_save: fix 100% cpu load by save panel.  Thanks to Vladislav
    Zavjalov from Altlinux (Closes: #509470, #256556).

 -- Roland Rosenfeld <roland@debian.org>  Thu, 04 Jun 2015 22:42:18 +0200

xfig (1:3.2.5.c-3) unstable; urgency=low

  * Split indep/arch parts of debian/rules install.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 13 May 2014 22:39:02 +0200

xfig (1:3.2.5.c-2) unstable; urgency=low

  * Remove archive Libraries/Fasteners/Fasteners.tar from xfig-libs.
  * 40_XAW3D1_5E_notlocal: Don't use local SimpleMenu.c with XAW3D1_5E
    (Closes: #296703). Thanks to Vladislav Zavjalov.
  * 41_mkstemp: Missed hunk noticed
    https://bugzilla.redhat.com/show_bug.cgi?id=505257#c1 is recreated.
    (Closes: #565341).
  * 42_xfig.desktop: Install modified xfig.desktop (Closes: #494790).
  * Complete rewrite of debian/rules.
  * Now uses hardening via debhelper.
  * Use hardening=+all.
  * Update to Standards-Version 3.9.5 (no changes).
  * Use iceweasel as default www-browser.
  * Remove xfig-www-browser and man page from source tree.
  * Update list of PDF viewers in xfig-pdf-viewer and man page.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 13 May 2014 18:04:18 +0200

xfig (1:3.2.5.c-1) unstable; urgency=low

  * New upstream version 3.2.5c.
  * Update all patches to new upstream version.
  * 12_network_images, 30_figparserstack, 35_CVE-2010-4262, 36_libpng15,
    37_fix-eps-reading.patch removed, since this is now incorporated upstream.
  * Update homepage URL.
  * Create xfig_man.html using man-db&groff, which is missing upstream.
  * Upgrade to Standards-Version 3.9.4 (no changes).
  * Update debian/watch.
  * 39_man_hyphen: escape "-" in man page to make lintian happy

 -- Roland Rosenfeld <roland@debian.org>  Tue, 15 Oct 2013 22:54:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,35 @@
 Source: xfig
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: dpkg (>= 1.7.2), debhelper (>= 9), libxt-dev,
- libxpm-dev, libx11-dev, libxi-dev, xutils-dev, xaw3dg-dev (>= 1.5+E-2),
- libjpeg-dev, libpng-dev
-Homepage: http://www-epb.lbl.gov/xfig/
+Maintainer: Roland Rosenfeld <roland@debian.org>
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9),
+               dpkg (>= 1.7.2),
+               groff,
+               imagemagick,
+               libjpeg-dev,
+               libpng-dev,
+               libx11-dev,
+               libxi-dev,
+               libxpm-dev,
+               libxt-dev,
+               man-db,
+               xaw3dg-dev (>= 1.5+E-2),
+               xutils-dev
+Homepage: http://xfig.org
 
 Package: xfig
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: transfig (>= 1:3.2.5-alpha4-1), xfig-libs
-Suggests: gimp, xfig-doc (>= 1:3.2.5-alpha4-1), ghostscript,
- gsfonts-x11 (>= 0.7), netpbm, spell, cups-client | lpr
-Breaks: xfig-doc (<< 1:3.2.5-alpha4-1), transfig (<< 1:3.2.5-alpha4-1)
+Suggests: cups-client | lpr,
+          ghostscript,
+          gimp,
+          gsfonts-x11 (>= 0.7),
+          netpbm,
+          spell,
+          xfig-doc (>= 1:3.2.5-alpha4-1)
+Breaks: transfig (<< 1:3.2.5-alpha4-1), xfig-doc (<< 1:3.2.5-alpha4-1)
 Description: Facility for Interactive Generation of figures under X11
  XFig is a menu-driven tool that allows the user to draw and manipulate objects
  interactively in an X window.  The resulting pictures can be saved, printed
@@ -33,7 +47,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: xfig, firefox|www-browser, xpdf-reader|pdf-viewer
+Suggests: iceweasel | www-browser, xfig, xpdf | pdf-viewer
 Description: XFig on-line documentation and examples
  XFig is a menu-driven tool that allows the user to draw and manipulate objects
  interactively in an X window.  The resulting pictures can be saved, printed
@@ -55,8 +69,8 @@
  allow inclusion in LaTeX documents or web pages) using the transfig program.
  .
  This package contains several clip art libraries including arrows, flowcharts,
- charts, labels, knitting, GUI, chemical process flowsheets, logic, digital 
+ charts, labels, knitting, GUI, chemical process flowsheets, logic, digital
  signal processing, Entity Relationship diagrams, UML, electronic, electrical,
- hospital equipment, structural analysis, optics, audiovisual objects, 
+ hospital equipment, structural analysis, optics, audiovisual objects,
  computers, networks, mechanical (DIN), music, welding, office equipment,
  furniture, buildings, flags, maps and several examples.

=== debian/rules ===
#!/usr/bin/make -f
#
# (C) 1999-2015 Roland Rosenfeld <roland@debian.org>, based on
# sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

INSTDIR=`pwd`/debian/xfig
DOCINSTDIR=`pwd`/debian/xfig-doc
LIBINSTDIR=`pwd`/debian/xfig-libs
BUILD_DATE := $(shell dpkg-parsechangelog | sed -n -e 's/^Date: //p')

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	xmkmf -a

override_dh_auto_build:
	$(MAKE) CDEBUGFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
                EXTRA_LDOPTIONS="$(shell dpkg-buildflags --get LDFLAGS)" \
                PROJECT_DEFINES="$(shell dpkg-buildflags --get CPPFLAGS)" \
		LIBDIR=/usr/share
#	generate xfig_man.html, which is missing upstream:
	man -Thtml -l Doc/xfig.man \
	| sed "s/<!-- CreationDate: .* -->/<!-- CreationDate: $(BUILD_DATE) -->/" \
	> Doc/xfig_man.html


override_dh_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile* xfig.man
	rm -f Doc/xfig_man.html

override_dh_auto_install-indep:
	$(MAKE) install.html DESTDIR=$(DOCINSTDIR)
#	Remove superflous files from documentation:
	rm -f $(DOCINSTDIR)/usr/share/doc/xfig/html/images/sav1a0.tmp

	(cd $(DOCINSTDIR)/usr/share/doc/xfig/html; \
		ln -sf japanese ja_JP.ujis)

#	install -m755 debian/xfig-www-browser $(DOCINSTDIR)/usr/bin/
	install -m755 debian/xfig-pdf-viewer $(DOCINSTDIR)/usr/bin/

	$(MAKE) install.libs DESTDIR=$(LIBINSTDIR) LIBDIR=/usr/share

#	remove the just installed ERD/GUI license files, because they are
#	already in debian/copyright included:	
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/ERD/LICENSE
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/GUI/LICENSE

#	remove csh scripts
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/Maps/USA/assemble
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/Maps/Canada/assemble
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/Flags/MAKEPNG

#	fix typo in directory name
	mv $(LIBINSTDIR)/usr/share/xfig/Libraries/Flags/Carribean \
		$(LIBINSTDIR)/usr/share/xfig/Libraries/Flags/Caribbean

#	unzip gzipped fig files:
#	find $(LIBINSTDIR)/usr/share/xfig/Libraries/ -name \*.fig.gz \
#		| xargs gzip -d

#	Remove tar file from library:
	rm -f $(LIBINSTDIR)/usr/share/xfig//Libraries/Fasteners/Fasteners.tar

#	Fix permissions of Libraries:
	find $(LIBINSTDIR)/usr/share/xfig/Libraries -type f \
		| xargs chmod -x

override_dh_auto_install-arch:
	$(MAKE) install DESTDIR=$(INSTDIR) \
		LIBDIR=/usr/share BINDIR=/usr/bin \
		XAPPLOADDIR=/etc/X11/app-defaults
# 	move xfig to /usr/lib/xfig and install wrapper as xfig:
	mv $(INSTDIR)/usr/bin/xfig $(INSTDIR)/usr/lib/xfig/xfig
	install -m755 debian/xfig-wrapper $(INSTDIR)/usr/bin/xfig

#	install japanese app-defaults:
	install -m644 Fig.ad \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig.international: true' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig*international: false' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig.japanese: true' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig.inputStyle: OffTheSpot' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig

	install -m644 Fig.ad \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig.international: true' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig*international: false' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig.korean: true' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig.inputStyle: OverTheSpot' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig

#	Install xpm icons and backward compatibility links
	for i in xfig16x16.xpm xfig32x32.xpm xfig64x64.xpm \
		xfig16x16cmap.xpm  xfig32x32cmap.xpm xfig66x62cmap.xpm; do \
	    install -m644 debian/$$i \
		$(INSTDIR)/usr/share/pixmaps/$$i; \
	done
	(cd $(INSTDIR)/usr/share/pixmaps; \
	 ln -s xfig64x64.xpm big-xfig.xpm; \
	 ln -s xfig32x32.xpm xfig.xpm; \
	 ln -s xfig16x16.xpm mini-xfig.xpm)

	install -m644 xfig.desktop $(INSTDIR)/usr/share/applications

# 	Scale and install PNG desktop icons:
	convert Doc/html/images/xfig-logo.png -geometry 16x16 \
		$(INSTDIR)/usr/share/icons/hicolor/16x16/apps/xfig.png
	convert Doc/html/images/xfig-logo.png -geometry 22x22 \
		$(INSTDIR)/usr/share/icons/hicolor/22x22/apps/xfig.png
	install -m644 xfig.png $(INSTDIR)/usr/share/icons/hicolor/32x32/apps/
	convert Doc/html/images/xfig-logo.png -geometry 48x48 \
		$(INSTDIR)/usr/share/icons/hicolor/48x48/apps/xfig.png
	install -m644 Doc/html/images/xfig-logo.png \
		$(INSTDIR)/usr/share/icons/hicolor/64x64/apps/xfig.png

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

override_dh_compress:
	dh_compress -X.pdf

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts="dversionmangle=s/-rel$//,uversionmangle=s/([a-z])$/.$1/" \
http://www.xfig.org/art17.html .*/xfig\.(\d.*)\.full\.(?:tgz|tar\.(?:gz|bz2|xz)).*
